AbstractExecutor (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.AbstractExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class AbstractExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor

Direct Known Subclasses:
  GetExecutor, PropertyExecutor

public abstract class AbstractExecutor
extends java.lang.Object

Abstract class that is used to execute an arbitrary method that is in introspected. This is the superclass for the GetExecutor and PropertyExecutor.

Version:
  $Id: AbstractExecutor.java,v 1.12.4.1 2004/03/03 23:22:59 geirm Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary
`protected java.lang.reflect.Method` | `method` Method to be executed.
`protected RuntimeLogger` | `rlog`

Constructor Summary
`AbstractExecutor()`

Method Summary
`abstract java.lang.Object` | `execute(java.lang.Object o)` Execute method against context.
`java.lang.reflect.Method` | `getMethod()`
`boolean` | `isAlive()` Tell whether the executor is alive by looking at the value of the method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rlog

    protected RuntimeLogger rlog

### method

    protected java.lang.reflect.Method method

  Method to be executed.

Constructor Detail

### AbstractExecutor

    public AbstractExecutor()

Method Detail

### execute

    public abstract java.lang.Object execute(java.lang.Object o)
                                      throws java.lang.IllegalAccessException,
                                             java.lang.reflect.InvocationTargetException

  Execute method against context.

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### isAlive

    public boolean isAlive()

  Tell whether the executor is alive by looking at the value of the method.

### getMethod

    public java.lang.reflect.Method getMethod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.